# Rocky-AppStream.repo
#
# The mirrorlist system uses the connecting IP address of the client and the
# update status of each mirror to pick current mirrors that are geographically
# close to the client.  You should use this for Rocky updates unless you are
# manually picking other mirrors.
#
# If the mirrorlist does not work for you, you can try the commented out
# baseurl line instead.

[appstream]
name=Rocky Linux $releasever - AppStream
baseurl=http://{{ rpm_mirror }}/$contentdir/$releasever/AppStream/$basearch/os/
gpgcheck=1
enabled=1
countme=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rockyofficial
# Rocky-BaseOS.repo
#
# The mirrorlist system uses the connecting IP address of the client and the
# update status of each mirror to pick current mirrors that are geographically
# close to the client.  You should use this for Rocky updates unless you are
# manually picking other mirrors.
#
# If the mirrorlist does not work for you, you can try the commented out
# baseurl line instead.

[baseos]
name=Rocky Linux $releasever - BaseOS
baseurl=http://{{ rpm_mirror }}/$contentdir/$releasever/BaseOS/$basearch/os/
gpgcheck=1
enabled=1
countme=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rockyofficial

# Rocky-Devel.repo
#

[devel]
name=Rocky Linux $releasever - Devel WARNING! FOR BUILDROOT AND KOJI USE
baseurl=http://{{ rpm_mirror }}/$contentdir/$releasever/Devel/$basearch/os/
gpgcheck=1
enabled=1
countme=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rockyofficial
# Rocky-Extras.repo
#
# The mirrorlist system uses the connecting IP address of the client and the
# update status of each mirror to pick current mirrors that are geographically
# close to the client.  You should use this for Rocky updates unless you are
# manually picking other mirrors.
#
# If the mirrorlist does not work for you, you can try the commented out
# baseurl line instead.

[extras]
name=Rocky Linux $releasever - Extras
baseurl=http://{{ rpm_mirror }}/$contentdir/$releasever/extras/$basearch/os/
gpgcheck=1
enabled=1
countme=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rockyofficial
# Rocky-HighAvailability.repo
#
# The mirrorlist system uses the connecting IP address of the client and the
# update status of each mirror to pick current mirrors that are geographically
# close to the client.  You should use this for Rocky updates unless you are
# manually picking other mirrors.
#
# If the mirrorlist does not work for you, you can try the commented out
# baseurl line instead.

[ha]
name=Rocky Linux $releasever - HighAvailability
baseurl=http://{{ rpm_mirror }}/$contentdir/$releasever/HighAvailability/$basearch/os/
gpgcheck=1
enabled=1
countme=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rockyofficial

[powertools]
name=Rocky Linux $releasever - PowerTools
baseurl=http://{{ rpm_mirror }}/$contentdir/$releasever/PowerTools/$basearch/os/
enabled=1
gpgcheck=1
countme=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-8

[epel]
name=Extra Packages for Enterprise Linux 8 - x86_64
baseurl=https://{{  rpm_mirror }}/epel/$releasever/Everything/$basearch/
enabled=1
gpgcheck=1
countme=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-8

[epel-modular]
name=Extra Packages for Enterprise Linux Modular 8 - x86_64
baseurl=https://{{  rpm_mirror }}/epel/$releasever/Modular/$basearch/
enabled=1
gpgcheck=1
countme=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-8

[docker-ce-stable]
name=Docker CE Stable - $basearch
baseurl=https://{{  rpm_mirror }}/linux/centos/$releasever/$basearch/stable
enabled=1
gpgcheck=1
gpgkey=https://{{  rpm_mirror }}/linux/centos/gpg

[pgdg-common]
name=PostgreSQL common RPMs for RHEL / Rocky $releasever - $basearch
baseurl=https://{{ rpm_mirror }}/$contentdir/$releasever/pgdg-common/$basearch/os/
enabled=1
gpgcheck=1
gpgkey=https://{{ rpm_mirror }}/$contentdir/$releasever/pgdg-common/RPM-GPG-KEY-PGDG
repo_gpgcheck = 1

# Red Hat recently breaks compatibility between 8.n and 8.n+1. PGDG repo is
# affected with the LLVM packages. This is a band aid repo for the llvmjit users
# whose installations cannot be updated.

[pgdg-centos8-sysupdates]
name=PostgreSQL Supplementary ucommon RPMs for RHEL / Rocky $releasever - $basearch
baseurl=https://{{ rpm_mirror }}/$contentdir/$releasever/pgdg-centos8-sysupdates/$basearch/os/
enabled=0
gpgcheck=1
gpgkey=https://{{ rpm_mirror }}/$contentdir/$releasever/pgdg-common/RPM-GPG-KEY-PGDG
repo_gpgcheck = 1

# We provide extra package to support some RPMs in the PostgreSQL RPM repo, like
# consul, haproxy, etc.

[pgdg-rhel8-extras]
name=Extra packages to support some RPMs in the PostgreSQL RPM repo RHEL / Rocky $releasever - $basearch
baseurl=https://{{ rpm_mirror }}/$contentdir/$releasever/pgdg-rhel$releasever-extras/$basearch/os/
enabled=0
gpgcheck=1
gpgkey=https://{{ rpm_mirror }}/$contentdir/$releasever/pgdg-common/RPM-GPG-KEY-PGDG
repo_gpgcheck = 1

# PGDG Red Hat Enterprise Linux / Rocky stable repositories:

[pgdg14]
name=PostgreSQL 14 for RHEL / Rocky $releasever - $basearch
baseurl=https://{{ rpm_mirror }}/$contentdir/$releasever/pgdg14/$basearch/os/
enabled=1
gpgcheck=1
gpgkey=https://{{ rpm_mirror }}/$contentdir/$releasever/pgdg-common/RPM-GPG-KEY-PGDG
repo_gpgcheck = 1